package com.stl.flutter_ali_oauth.plugin;

import com.stl.flutter_ali_oauth.helper.STLAuthLoginLayout;

import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;

/**
 * @author Ricky
 * @date 2020/10/21
 * 一键登录基础实现
 */
public interface IOneKeyHelper extends STLAuthLoginLayout {

    abstract void init(final MethodCall call, final MethodChannel.Result methodResult);

    abstract void preLogin(final MethodCall call, final MethodChannel.Result methodResult);

    abstract void login(final MethodCall call, final MethodChannel.Result methodResult);

    abstract void checkVerifyEnable(final MethodCall call, final MethodChannel.Result methodResult);

    abstract void getVerifyToken(final MethodCall call, final MethodChannel.Result methodResult);

    abstract void quitLoginPage();

    abstract void hideLoginLoading();

    abstract void isShow(MethodCall call, MethodChannel.Result methodResult);

    abstract void initEventChannel(BinaryMessenger messenger);

}
