
class AccelerateTokenResult {
  bool success;
  String vendor;
  String code;
  String ret;
  String msg;

  AccelerateTokenResult({this.vendor,this.code,this.ret,this.msg});

  AccelerateTokenResult.fromJson(Map<String, dynamic> json) {
    success = json['success'];
    vendor = json['vendor'];
    code = json['code'];
    ret = json['ret'];
    msg = json['msg'];

  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['success'] = this.success;
    data['vendor'] = this.vendor;
    data['code'] = this.code;
    data['ret'] = this.ret;
    data['msg'] = this.msg;
    return data;
  }
}