
class TokenResult {
  bool success;
  int type;
  String vendorName;
  String code;
  String token;
  String msg;

  TokenResult({this.vendorName,this.code,this.token,this.msg});

  TokenResult.fromJson(Map<String, dynamic> json) {
    success = json['success'];
    type = json['type'];
    vendorName = json['vendorName'];
    code = json['code'];
    token = json['token'];
    msg = json['msg'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['success'] = this.success;
    data['type'] = this.type;
    data['vendorName'] = this.vendorName;
    data['code'] = this.code;
    data['token'] = this.token;
    data['msg'] = this.msg;
    return data;
  }
}