import 'dart:convert';
import 'package:flutter_ali_oauth/model/accelerate_token_result.dart';
import 'package:flutter_ali_oauth/model/token_result.dart';
import 'model/view_message.dart';

class AliOauthUtils {

  static ViewMessage toViewMessage(String viewMessage) {
    return ViewMessage.fromJson(jsonDecode(viewMessage));
  }

  static TokenResult toTokenResult(String tokenResult) {
    return TokenResult.fromJson(jsonDecode(tokenResult));
  }

  static AccelerateTokenResult toAccelerateTokenResult(String accelerateTokenResult) {
    return AccelerateTokenResult.fromJson(jsonDecode(accelerateTokenResult));
  }
}
