
class OneKeyLoginMessage{
  String loginBtn;
  String otherLogin;
  String prePrivacy;
  String onePrivacy;
  String onePrivacyUrl;
  String twoPrivacy;
  String twoPrivacyUrl;

  OneKeyLoginMessage({this.loginBtn,this.otherLogin,this.prePrivacy,this.onePrivacy,this.onePrivacyUrl,this.twoPrivacy,this.twoPrivacyUrl});



  OneKeyLoginMessage.fromJson(Map<String, dynamic> json) {
    loginBtn = json['loginBtn'];
    otherLogin = json['otherLogin'];
    prePrivacy = json['prePrivacy'];
    onePrivacy = json['onePrivacy'];
    onePrivacyUrl = json['onePrivacyUrl'];
    twoPrivacy = json['twoPrivacy'];
    twoPrivacyUrl = json['twoPrivacyUrl'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['loginBtn'] = this.loginBtn;
    data['otherLogin'] = this.otherLogin;
    data['prePrivacy'] = this.prePrivacy;
    data['onePrivacy'] = this.onePrivacy;
    data['onePrivacyUrl'] = this.onePrivacyUrl;
    data['twoPrivacy'] = this.twoPrivacy;
    data['twoPrivacyUrl'] = this.twoPrivacyUrl;
    return data;
  }

}


class OneKeyVerifyMessage{
  String phoneVerify;
  String phoneVerifyTips;
  String verifyBtn;
  String otherVerify;
  String prePrivacy;
  String onePrivacy;
  String onePrivacyUrl;
  String twoPrivacy;
  String twoPrivacyUrl;

  OneKeyVerifyMessage({this.phoneVerify,this.phoneVerifyTips,this.verifyBtn,this.otherVerify,this.prePrivacy,this.onePrivacy,this.onePrivacyUrl,this.twoPrivacy,this.twoPrivacyUrl});

  OneKeyVerifyMessage.fromJson(Map<String, dynamic> json) {
    phoneVerify = json['phoneVerify'];
    phoneVerifyTips = json['phoneVerifyTips'];
    verifyBtn = json['verifyBtn'];
    otherVerify = json['otherVerify'];
    prePrivacy = json['prePrivacy'];
    onePrivacy = json['onePrivacy'];
    onePrivacyUrl = json['onePrivacyUrl'];
    twoPrivacy = json['twoPrivacy'];
    twoPrivacyUrl = json['twoPrivacyUrl'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['phoneVerify'] = this.phoneVerify;
    data['phoneVerifyTips'] = this.phoneVerifyTips;
    data['verifyBtn'] = this.verifyBtn;
    data['otherVerify'] = this.otherVerify;
    data['prePrivacy'] = this.prePrivacy;
    data['onePrivacy'] = this.onePrivacy;
    data['onePrivacyUrl'] = this.onePrivacyUrl;
    data['twoPrivacy'] = this.twoPrivacy;
    data['twoPrivacyUrl'] = this.twoPrivacyUrl;
    return data;
  }
}